#!/bin/sh

# lsusb コマンドの有無.
# 無い場合はメッセージ出して終了.
if [ -z $(which lsusb) ];then
    echo "5 Cannot find lsusb, ABORT."
    exit -1
fi

# cycfx2prog コマンドの有無.
# 無い場合はメッセージ出して終了.
if [ -z $(which cycfx2prog) ];then
    echo "4 Cannot find cycfx2prog, ABORT."
    exit -1
fi

# fx2fw.hex ファイルの有無.
# 無い場合はメッセージ出して終了.
if [ ! -e "fx2fw.hex" ]; then
    echo "3 Cannot find fx2fw.hex, ABORT."
    exit -1
fi


# IQ5001 検出.
# 未検出の場合はメッセージ出して終了.
RESULT=$(lsusb -d 08d0:a001)
if [ -z "$RESULT" ];then
    echo "2 No detect IQ system."
    exit -1
fi

# ファームウェアダウンロードの有無検出.
# 未ダウンロードの場合はダウンロード処理する.
RESULTV=$(echo "$RESULT" |wc -w)
if [ "$RESULTV" -le 6 ];then
    echo "1 Download firmware..."
    /usr/bin/cycfx2prog -id=08d0:a001 prg:fx2fw.hex
    sleep 1
    /usr/bin/cycfx2prog -id=08d0:a001 run
fi

echo "0 IQ system setup done."
exit 0
